<?php
/*
 * ----------------------------------------------------------------------------
 * Index.php                                                         04/24/2003
 * This is a temporary index file you can use to display the available pre-
 * written scripts to your users.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-loginauth.inc.php');       // Login authentication.
require_once('va-database.inc.php');        // Include database functions.
require_once('va-main.inc.php');            // Include the main BBS configuration.
require_once('va-control.inc.php');         // Include the BBS control information.
require_once('common.inc.php');             // Uses the common html functions.
?>
<html>

<head>
<title><?php print $VA_MAIN['bbsname']; ?>'s VADV-PHP Home</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="copyright" content="Copyright  2003, Steve Winn" />
<link rel="stylesheet" type="text/css" href="VADVPHP.css" />
</head>

<body background="images/home_background.gif">

<div align="center">
	<center>
    <table border="0" cellpadding="10" cellspacing="0" style="border-collapse: collapse" width="750" bgcolor="#FFFFFF">
        <tr>
            <td>
                <div align="center">
                    <center>
                    <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" width="730" bgcolor="#FFFFFF">
                        <tr>
                            <td valign="top">
                                <div align="center">
                                    <center>
                                    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" width="100%" height="50">
                                        <tr>
                                            <td width="550" bgcolor="#000080"><span class="bbsHeader"><?php print $VA_MAIN['bbsname']; ?>'s VADV-PHP Home</span></td>
                                            <td width="180" bgcolor="#000080"><a href="http://www.vadvphp.com"><img border="0" src="images/vadv-php_blue.gif" alt="VADV-PHP" width="50" height="50" align="right"></a></td>
                                        </tr>
                                    </table>
                                    </center>
                                </div>
                                <div align="center">
                                    <center>
                                    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" width="100%">
                                        <tr>
                                            <td width="530" valign="top">
                                                <div align="center">
                                                    <center>
                                                    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" width="100%">
                                                        <tr>
                                                            <td bgcolor="#000080">
                                                                <p class="topic">Welcome, <?php print $USER['handle']; ?>!</p></td>
                                                            <td bgcolor="#000080">
                                                                <p class="infoBarBody" align="right"><?php print date("l, F j, Y"); ?></p></td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top" colspan="2">
                                                                <p class="body"><span class="boldBody">Thank
                                                                you for visiting our Virtual Advanced webpage!</span><br />
                                                                This is the web based version of our BBS. With it
                                                                you will be able to access most areas of the
                                                                system using only your web browser. So, sit
                                                                back, relax and browse around!</p>
                                                                <p class="body"><span class="boldBody">
                                                                <?php print $VA_MAIN['sysopname'] . '<br />' . $VA_MAIN['bbsname'] . "\n";?>
                                                                <?php if ($CONFIG['telnet'] != '') print '<br />telnet://' . $CONFIG['telnet'] . "\n"; ?>
                                                                </span><br />&nbsp;</p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        if ($USER['userno'] > 0) {
                                                            $msgcnt = GetEmailCount($USER['userno']);
                                                        ?>
                                                        <tr>
                                                            <td bgcolor="#000080" colspan="2">
                                                            <p class="topic">User Notices</p></td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top" colspan="2">
                                                                <p class="pre"><br />
                                                                    <?php
                                                                    // New email check...
                                                                    if ($msgcnt['unread'] > 0) {
                                                                        print "<font color=\"#FF0000\">You have new email!</font><br />";
                                                                    } else {
                                                                        print 'You have no new email.<br />';
                                                                    }

                                                                    // Oneliners check...
                                                                    $db = SetOnelinerInfo();
                                                                    $oneliners = SearchMessagesTo($db, $USER['userno']);
                                                                    if ($oneliners[0] > 0) {
                                                                        $msgPointer = GetMessagePointer($db, $USER['userno']);
                                                                        for ($x = 1; $x <= $oneliners[0]; $x++) {
                                                                            if ($msgPointer < $oneliners[$x]) {
                                                                                $msgInfo = GetMessageInfo($db, $oneliners[$x]);             // Get message information.
                                                                                print $msgInfo['subject'] . '<br />';                         // Print message subject (oneliner).
                                                                                $msgInfo['deleted'] = 1;                                    // Mark the message for deletion.
                                                                                WriteMessageInfo($db, $oneliners[$x], $msgInfo);            // Write the new information.
                                                                                WriteMessagePointer($db, $USER['userno'], $oneliners[$x]);  // Update the message pointer.
                                                                            }
                                                                        }
                                                                    }
                                                                    ?>
                                                                    <br />
                                                                </p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        }
                                                        ?>
                                                        <tr>
                                                            <td bgcolor="#000080" colspan="2">
                                                                <p class="topic">Today&#39;s Callers</p></td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top" colspan="2">
                                                                <div align="center">
                                                                    <center>
                                                                    <table border="0" width="530" cellspacing="0" cellpadding="0">
                                                                        <tr>
                                                                            <td align="left">
                                                                                <?php
                                                                                // Set the filename.
                                                                                $filename = $VA_SYSPATHS['data'] . '/callers.lst';
                                                                                if (!is_file($filename)) {
                                                                                    print "<pre><font face=\"Courier New\" size=\"2\" color=\"000080\">\nNo Callers Today!</font></pre>\n";
                                                                                } else if (filesize($filename) == 0) {
                                                                                    print "<pre><font face=\"Courier New\" size=\"2\" color=\"000080\">\nNo Callers Today!</font></pre>\n";
                                                                                } else {
                                                                                    $line = array();                        // Set the file array.
                                                                                    $fp = fopen($filename, 'r');            // Open the file.
                                                                                    for ($length = 0; !feof($fp); $length++) {
                                                                                        array_push($line, fgets($fp));      // Read the line.
                                                                                    }
                                                                                    fclose($fp);                            // Close the file.
                                                                                    $length--;                              // Adjust the number of lines.

                                                                                    // Print each line and convert heart codes to html.
                                                                                    print "<pre><font face=\"Courier New\" size=\"2\" color=\"000000\">\n";
                                                                                    for ($x = 0; $x < $length; $x++) {
                                                                                        $line[$x] = StripHeartColors($line[$x]);
                                                                                        $pos = strpos($line[$x], ':');
                                                                                        $pos = $pos + 2;
                                                                                        $line[$x] = substr($line[$x], $pos, 65);
                                                                                        print $line[$x] . "<br />";
                                                                                    }
                                                                                    print "</font></pre>\n";
                                                                                }
                                                                                ?>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    </center>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#000080" colspan="2">
                                                                <p class="topic">Who&#39;s Online?</p></td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top" colspan="2">
                                                                <?php
                                                                $who = array();
                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                    $who[$x] = GetControl($x);
                                                                }
                                                                ?>
                                                                <font face="Courier New" size="2">
                                                                <div>
                                                                    <table border="0" width="530" cellspacing="0" cellpadding="0">
                                                                        <br />
                                                                        <tr>
                                                                            <td align="left" valign="top"><b><font face="Courier New" color="#000080" size="2">Ch #</font></b></td>
                                                                            <td align="left" valign="top"><b><font face="Courier New" color="#000080" size="2">Handle</font></b></td>
                                                                            <td align="left" valign="top"><b><font face="Courier New" color="#000080" size="2">Action</font></b></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="left" valign="top" width="50">
                                                                                <font face="Courier New" color="#000000">
                                                                                <?php
                                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                                    print "<font color=\"#000000\" size=\"2\">" . $x . "&nbsp;</font><br />\n";
                                                                                }
                                                                                ?>
                                                                                </font>
                                                                            </td>
                                                                            <td align="left" valign="top" width="240">
                                                                                <font face="Courier New" color="#000000">
                                                                                <?php
                                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                                    print "<font color=\"#000000\" size=\"2\">" . $who[$x]['handle'] . "&nbsp;</font><br />\n";
                                                                                }
                                                                                ?>
                                                                                </font>
                                                                            </td>
                                                                            <td align="left" valign="top" width="240">
                                                                                <font face="Courier New" color="#000000">
                                                                                <?php
                                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                                    print "<font color=\"#000000\" size=\"2\">" . $who[$x]['action'] . "&nbsp;</font><br />\n";
                                                                                }
                                                                                ?>
                                                                                </font>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </div>
                                                                </font>
                                                            </td>
                                                        </tr>
                                                        <!-- Cell template for future use.
                                                        <tr>
                                                            <td bgcolor="#000080" valign="top" colspan="2">
                                                                <p class="infoBarTopic">Welcome!</td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top">&nbsp;</td>
                                                        </tr>
                                                        End cell template. -->
                                                    </table>
                                                    </center>
                                                </div>
                                            </td>
                                            <td width="200" height="100%" valign="top">
                                                <div align="center">
                                                    <center>
                                                    <table border="1" cellpadding="4" cellspacing="0" style="border-collapse: collapse" bordercolor="#FFFFFF" width="100%" height="100%" bgcolor="#0066CC">
                                                        <tr>
                                                            <td bgcolor="#000080">
                                                                <p class="infoBarTopic">Available Areas</p></td>
                                                        </tr>
                                                            <?php
                                                            // Email menu option
                                                            if ($USER['userno'] > 0) {
                                                                $msgcnt = GetEmailCount($USER['userno']);
                                                            ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="email-dispmsg.php">Check Your Email</a><?php if ($msgcnt['unread'] > 0) print " <span class=\"notify\">(!)</span>"; ?></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        // End Email menu option
                                                        }
                                                        ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="forum-disptopics.php">Message Forums</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="post-it_network.php">Post-It! Network</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="files-disptopics.php">File Area</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="who.php">Who&#39;s Online</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="todays_callers.php">Today&#39;s Callers</a></p>
                                                            </td>
                                                        </tr>
                                                            <?php
                                                            // VConfig menu option
                                                            if ($USER['securitylevel'] == 255) {
                                                            ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="vconfig/vconfig.php">VADV-PHP VConfig</a></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        // End VConfig menu option
                                                        }
                                                        ?>
                                                        <tr>
                                                            <td bgcolor="#FFFFFF" height="5">
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#000080">
                                                                <p class="infoBarTopic">Login</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">Login here using your BBS account information! If you do not have an account, then telnet to <?php print $CONFIG['telnet']; ?> to create one.</p>
                                                                <?php LoginBox(); ?>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#FFFFFF" height="100%">
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    </center>
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                    </center>
                                </div>
                                <div align="center">
                                    <center>
                                    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
                                        <tr>
                                            <td width="100%" valign="top">
                                                <hr color="#000080">
                                                <p align="center"><span class="boldBody">This page is powered
                                                by <a class="boldBody" href="http://www.vadvphp.com">VADV-PHP</a></span></p>
                                                <p align="center" class="body">If you experience any problems
                                                with this website or need help, contact the
                                                <a href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br />
                                                VADV-PHP Copyright  2002-<?php print date('Y'); ?> Steve Winn. All Rights Reserved.<br />
                                                Virtual Advanced Copyright  1995-1997 Roland De Graaf.
                                                <br /><span class="version">v030424</span></p>
                                            </td>
                                        </tr>
                                    </table>
                                    </center>
                                </div>
                            </td>
                        </tr>
                    </table>
                    </center>
                </div>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
