<?php
/*
 * ----------------------------------------------------------------------------
 * DispNet.php                                                       04/21/2003
 * This script will display the network listings.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-main.inc.php');            // Include the main BBS configuration.
require_once('va-networks.inc.php');        // Include networks data.

if (isset($_GET['net'])) {                  // Set the passed variables.
    $netNo = $_GET['net'];
} else {
    $netNo = 1;
}

$netinfo = GetNetworkinfo();

if (!isset($netinfo[$netNo])) die('<br /><h4>Invalid network number! Please press the back button on your browser.</h4>');
?>
<html>

<head>
<title> <?php print $VA_MAIN['bbsname'] . ' - ' . $netinfo[$netNo]['desc'];?> Node List</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="copyright" content="Copyright  2003, Steve Winn" />
</head>

<body text="#C0C0C0" bgcolor="#000000">
<font face="Courier New" color="#FFFFFF" size="3">
<p align="center"><b><?php print $VA_MAIN['bbsname'] . ' - ' . $netinfo[$netNo]['desc']; ?> Node List</b></font>
<hr color="#525552">

<div align="center">
    <center>
    <table border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td align="left">
<?php
// Set the filename.
$filename = $VA_SYSPATHS['data'] . '\netlist.' . $netNo;
if (!is_file($filename)) {
    print "<pre><font size=\"2\" color=\"#FFFF52\">\nNo Callers Today!</pre>\n";
} else if (filesize($filename) == 0) {
    print "<pre><font size=\"2\" color=\"#FFFF52\">\nNo Callers Today!</pre>\n";
} else {
    $file = file($filename);                // Read and close the file.

    // Print each line and convert heart codes to html.
    print "<pre><font size=\"2\">\n";
    for ($x = 0; isset($file[$x]); $x++) {
        print FixHeartColors($file[$x]) . "<br />";
    }
    print "</font></pre>\n";
}
?>
            </td>
        </tr>
    </table>
    </center>
</div>
</font>

<hr color="#525552">
<font face="Verdana, Arial, Helvetica" color="#FFFFFF" size="1"><p align="center"><b>This display was created using <a href="http://www.vadvphp.com"><font color="#FFFFFF">VADV-PHP</font></a>.</b></p></font>

</body>

</html>
