<?php
///////////////////////////////////////////////////////////////////////////////
// VADV-PHP Configuration File (03.04.08)                                    //
// You must edit the settings in this file in order to setup your server     //
// configuration to work with VADV-PHP. Edit ONLY the information between    //
// the single quotations! To set a value as blank, then put nothing between  //
// the two single quotation marks. To set a value as the default, then       //
// comment out that variable.                                                //
//                                                                           //
// This file should be located in your VADV-PHP directory.                   //
//                                                                           //
// Comments can be made by placing // at the beginning of the line.          //
///////////////////////////////////////////////////////////////////////////////

// [Telnet]
// If your BBS is available to your users by telnet, then place the telnet
// address between the quotes.
// Default = none

$config['telnet'] = '';

// [Hostname]
// If your web server is not on the same computer as your BBS, then on the first
// line, put the computer hostname or IP. If it is on the same computer, then
// leave it blank. You should not set this to an Internet hostname or IP! The
// BBS should be accessible through a local network only.
// Default = none

$config['hostname'] = '';

// [FileHost]
// Like the hostname above, if your BBS files reside on a computer other than
// the one the BBS is on, you will need to specify an IP address or hostname to
// prefix all paths to that computer. The actual file directory is set below.
// Default = none

$config['filehost'] = '';

// [BBSDir]
// You must tell the program what directory your BBS lies in on the BBS server.
// Enter the full path to the main BBS directory.
// Default = c:\va

$config['bbsdir'] = 'C:\VA';

// [WebMaster]
// Set this to the email address of the webmaster. If users have any problems,
// they can email this person about the webpages.
// Default = webmaster@

$config['webmaster'] = 'webmaster@';

// -- Default User Settings --

// [UserSl]
// You should set this to the minimum security level that web users should have.
// This will affect things like access to message areas, file areas or other
// parts of your BBS that they should not have access to.
// Default = 15

$config['usersl'] = '15';

// [UserAccFlags]
// If you would like to give your web users special access flags, then set them
// here. Do not put any spaces in between the flags. Ex: useraccflags=ABC
// Default = none

$config['useraccflags'] = '';

// [UserAge]
// You can set a default age for your web users so they will not have access to
// adult sections defined on your BBS.
// Default = 0

$config['userage'] = '0';

// [Banned]
// You can ban certain user account numbers from being able to login to VADV-PHP.
// This is useful for system accounts, QWK accounts, guest accounts, or just to
// keep unruly users from having full access. To use this, enter the user account
// number inside of the quotes. Separate multiple accounts with a comma.
// Default = ''

$config['banned'] = '';

?>