<?php
/*
 * ----------------------------------------------------------------------------
 * Todays_Callers.php                                                04/21/2003
 * This script will display the users who have called the BBS for today's date.
  * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-main.inc.php');            // Include the main BBS configuration.

?>
<html>

<head>
<title>[Today's Callers] - <?php print $VA_MAIN['bbsname']; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="copyright" content="Copyright  2003, Steve Winn" />
<style>
<!--
    a:active           { color: #FF0000 }
    a:link             { color: #0000D0 }
    a:visited          { color: #0000D0 }
    a:hover            { color: #FF0000 }
    a.boldBody:link    { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    a.boldBody:visited { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .boldBody          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .footer            { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF }
    .title             { font-family: Verdana, Arial, Helvetica; font-size: 14pt; color: #FFFF00; font-weight:bold; font-style:italic }
-->
</style>
</head>

<body text="#C0C0C0" bgcolor="#000000">
<p class="title" align="right">Virtual Advanced Today's Callers
<hr color="#525552">

<div align="center">
    <center>
    <table border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td align="left">
<?php
// Set the filename.
$filename = $VA_SYSPATHS['data'] . '/callers.lst';
if (!is_file($filename)) {
    print "<pre><font size=\"2\" color=\"#FFFF52\">\nNo Callers Today!</pre>\n";
} else if (filesize($filename) == 0) {
    print "<pre><font size=\"2\" color=\"#FFFF52\">\nNo Callers Today!</pre>\n";
} else {
    $file = file($filename);
    
    // Print each line and convert heart codes to html.
    print "<pre><font size=\"2\">\n";
    for ($x = 0; isset($file[$x]); $x++) {
        print FixHeartColors($file[$x]) . "<br />";
    }
    print "</font></pre>\n";
}
?>
            </td>
        </tr>
    </table>
    </center>
</div>
</font>

<hr color="#525552">
<p class="boldBody" align="center">This display was created using <a class="boldBody" href="http://www.vadvphp.com">VADV-PHP</a>.</p>
<p class="footer" align="center">If you experience any problems with this website or need help, contact the <a href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br />
VADV-PHP Copyright  2002-<?php print date('Y'); ?> Steve Winn. All Rights Reserved.<br />
Virtual Advanced Copyright  1995-1997 Roland De Graaf.</p>

</body>

</html>
