<?php
/*
 * ----------------------------------------------------------------------------
 * VConfig_Paths.php                                                 04/21/2003
 * VConfig's path configuration.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-loginauth.inc.php');       // Login authentication.

if (($USER['userno'] == 0) || ($USER['securitylevel'] != 255)) die('<br /><h4>You do not have access to this area. Press the BACK button of your browser.</h4>');

?>
<html>

<head>
<title>VADV-PHP VConfig (Paths Configuration)</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="copyright" content="Copyright  2003, Steve Winn" />
<link rel="stylesheet" type="text/css" href="VCONFIG.css">
</head>

<body link="#FFFFFF" vlink="#FFFFFF" bgcolor="#000000">

<div align="center">
    <center>
    <table border="2" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="750" id="AutoNumber1" bgcolor="#FFFFFF">
        <tr>
            <td>
                <table border="0" cellspacing="0" style="border-collapse: collapse" id="AutoNumber2" cellpadding="5" bgcolor="#000080" width="100%">
                    <tr>
                        <td>
                        <div align="center">
                            <center>
                            <table border="0" style="border-collapse: collapse" cellpadding="5" cellspacing="0">
                                <tr>
                                    <td height="40" colspan="2">
                                        <p class="heading" align="center">Paths Configuration</p>
                                    </td>
                                </tr>
                                <form method="post" action="vconfig_paths_process.php">
                                    <input type="hidden" name="process" value="1">
                                    <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                                    <tr>
                                        <td height="40" colspan="2">
                                            <p align="center" class="footer">
                                            <a class="footer" href="vconfig.php">Exit to VADV-PHP VConfig</a><br />
                                            <a class="footer" href="../index.php">Exit to BBS&#39;s VADV-PHP Page</a>
                                            </p>
                                        </td>
                                    </tr>
                                    <tr>
                                    	<td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" style="border-top:1px solid #C0C0C0; border-bottom:1px solid #C0C0C0;">
                                            <p class="subHeading" align="center">System Paths</p>
                                            <p class="footer" align="center">Note: If you make a mistake on this page, it is a good<br />chance that all VADV-PHP pages will stop functioning!</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Main Directory:</td>
                                        <td><input type="text" name="main" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['main']);} else {print $VA_SYSPATHS['main'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Scripts Directory:</td>
                                        <td><input type="text" name="script" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['script']);} else {print $VA_SYSPATHS['script'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Data Directory:</td>
                                        <td><input type="text" name="data" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['data']);} else {print $VA_SYSPATHS['data'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">System Text Directory:</td>
                                        <td><input type="text" name="text" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['text']);} else {print $VA_SYSPATHS['text'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">CONTROL.DAT Directory:</td>
                                        <td><input type="text" name="control" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['control']);} else {print $VA_SYSPATHS['control'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Temporary Directory:</td>
                                        <td><input type="text" name="temp" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['temp']);} else {print $VA_SYSPATHS['temp'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Database Directory:</td>
                                        <td><input type="text" name="db" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['db']);} else {print $VA_SYSPATHS['db'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">Upload/Email Directory:</td>
                                        <td><input type="text" name="sysop" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['sysop']);} else {print $VA_SYSPATHS['sysop'];} ?>"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre">FDX Database Directory:</td>
                                        <td><input type="text" name="fdx" size="40" maxlength="40" value="<?php if ($CONFIG['hostname'] != '') {print ConvertUnc($VA_SYSPATHS['fdx']);} else {print $VA_SYSPATHS['fdx'];} ?>"></td>
                                    </tr>
                                    <tr>
                                    	<td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td class="pre" colspan="2">
                                            <p align="center">
                                            <input type="submit" value="Apply" name="submit">
                                            <input type="reset" value="Reset" name="submit">
                                            </p>
                                        </td>
                                    </tr>
                                    <tr>
                                    	<td colspan="2" height="25"></td>
                                    </tr>
                                    <tr>
                                        <td height="40" colspan="2">
                                            <p align="center" class="footer">
                                            <a class="footer" href="vconfig.php">Exit to VADV-PHP VConfig</a><br />
                                            <a class="footer" href="../index.php">Exit to BBS&#39;s VADV-PHP Page</a>
                                            </p>
                                        </td>
                                    </tr>
                                </form>
                            </table>
                            </center>
                        </div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
