<?php
/*
 * ----------------------------------------------------------------------------
 * VConfig_Paths_Process.php                                         04/21/2003
 * This script processes the info from the vconfig_paths.php script.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-loginauth.inc.php');       // Login authentication.

if (($USER['userno'] == 0) || ($USER['securitylevel'] != 255)) die('<br /><h4>You do not have access to this area. Press the BACK button of your browser.</h4>');
if ((!isset($_POST['process'])) || ($_POST['process'] != 1)) die();
if (!isset($_POST['submit'])) die();

if ($_POST['submit'] == 'Reset') RedirectUser($_POST['referer']);

if ((isset($_POST['main']))    && ($_POST['main']    != $VA_SYSPATHS['main']))    $syspaths['main']    = strtoupper($_POST['main']);
if ((isset($_POST['script']))  && ($_POST['script']  != $VA_SYSPATHS['script']))  $syspaths['script']  = strtoupper($_POST['script']);
if ((isset($_POST['data']))    && ($_POST['data']    != $VA_SYSPATHS['data']))    $syspaths['data']    = strtoupper($_POST['data']);
if ((isset($_POST['network'])) && ($_POST['network'] != $VA_SYSPATHS['network'])) $syspaths['network'] = strtoupper($_POST['network']);
if ((isset($_POST['text']))    && ($_POST['text']    != $VA_SYSPATHS['text']))    $syspaths['text']    = strtoupper($_POST['text']);
if ((isset($_POST['control'])) && ($_POST['control'] != $VA_SYSPATHS['control'])) $syspaths['control'] = strtoupper($_POST['control']);
if ((isset($_POST['temp']))    && ($_POST['temp']    != $VA_SYSPATHS['temp']))    $syspaths['temp']    = strtoupper($_POST['temp']);
if ((isset($_POST['db']))      && ($_POST['db']      != $VA_SYSPATHS['db']))      $syspaths['db']      = strtoupper($_POST['db']);
if ((isset($_POST['sysop']))   && ($_POST['sysop']   != $VA_SYSPATHS['sysop']))   $syspaths['sysop']   = strtoupper($_POST['sysop']);
if ((isset($_POST['fdx']))     && ($_POST['fdx']     != $VA_SYSPATHS['fdx']))     $syspaths['fdx']     = strtoupper($_POST['fdx']);

if (isset($syspaths)) {
    $fileString = ReadSysPaths();                       // Get the file string.
    $fileString = PutSysPaths($fileString, $syspaths);  // Put the new information into the file string.
    WriteSysPaths($fileString);                         // Write the new file.
}

header('Location: ' . $_POST['referer']);

?>
