<?php
/*
 * ----------------------------------------------------------------------------
 * Who.php                                                           04/21/2003
 * This script will display the who's online screen for all configured nodes of
 * your BBS.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-main.inc.php');
require_once('va-control.inc.php');

$who = array();
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    $who[$x] = GetControl($x);
}
?>
<html>

<head>
<title>[Who's Online] - <?php print $VA_MAIN['bbsname']; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="copyright" content="Copyright  2003, Steve Winn" />
<style>
<!--
    a:active           { color: #FF0000 }
    a:link             { color: #0000D0 }
    a:visited          { color: #0000D0 }
    a:hover            { color: #FF0000 }
    a.boldBody:link    { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    a.boldBody:visited { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .body              { font-family: Courier New;               font-size: 10pt; color: #FFFFFF }
    .boldBody          { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF; font-weight: bold }
    .footer            { font-family: Verdana, Arial, Helvetica; font-size: 8pt;  color: #FFFFFF }
    .header            { font-family: Courier New;               font-size: 12pt; color: #FFFFFF; font-weight: bold }
    .title             { font-family: Verdana, Arial, Helvetica; font-size: 14pt; color: #FFFF00; font-weight:bold; font-style:italic }
-->
</style>
</head>

<body bgcolor="#000000">
<p class="title" align="right">Virtual Advanced Who's Online
<hr color="#525552">

<div align="center">
    <center>
    <table border="0" cellspacing="10" cellpadding="0">
        <tr>
            <td align="right" valign="top" style="border-bottom: 1px solid #525552"><b>
                <span class="header">Ch #</span></td>
            <td align="right" valign="top" style="border-bottom: 1px solid #525552"><b>
                <span class="header">User #</span></td>
            <td align="left" valign="top" style="border-bottom: 1px solid #525552"><b>
                <span class="header">Handle</span></td>
            <td align="left" valign="top" style="border-bottom: 1px solid #525552"><b>
                <span class="header">Action</span></td>
            <td align="left" valign="top"style="border-bottom: 1px solid #525552"><b>
                <span class="header">Baud</span></td>
        </tr>
        <tr>
            <td class="body" align="right" valign="top" width="40">
<?php
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    print "<font color=\"#FF5552\">" . $x . "<br />\n";
}
?>
            </td>
            <td class="body" align="right" valign="top" width="60">
<?php
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    print "<font color=\"#5255FF\">" . $who[$x]['userno'] . "<br />\n";
}
?>
            </td>
            <td class="body" align="left" valign="top" width="210">
<?php
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    print "<font color=\"#FFFFFF\">" . $who[$x]['handle'] . "<br />\n";
}
?>
            </td>
            <td class="body" align="left" valign="top" width="210">
<?php
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    print "<font color=\"#FFFF52\">" . $who[$x]['action'] . "<br />\n";
}
?>
            </td>
            <td class="body" align="left" valign="top" width="60">
<?php
for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
    if ($who[$x]['baudrate'] == 0) {
        print "<font color=\"#52FF52\">Local<br />\n";
    } else if ($who[$x]['baudrate'] == 11520) {
        print "<font color=\"#52FF52\">115200<br />\n";
    } else if ($who[$x]['baudrate'] == 4294967295) {
        print "<font color=\"#52FF52\"><br />\n";
    } else {
        print "<font color=\"#52FF52\">" . $who[$x]['baudrate'] . "<br />\n";
    }
}
?>
            </td>
        </tr>
    </table>
    </center>
</div>
</font>

<hr color="#525552">
<p class="boldBody" align="center">This display was created using <a class="boldBody" href="http://www.vadvphp.com">VADV-PHP</a>.</p>
<p class="footer" align="center">If you experience any problems with this website or need help, contact the <a href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br />
VADV-PHP Copyright  2002-<?php print date('Y'); ?> Steve Winn. All Rights Reserved.<br />
Virtual Advanced Copyright  1995-1997 Roland De Graaf.</p>

</body>

</html>
